Bug 356961 - Consider building with --with-xft=all
Consider building with --with-xft=all
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xemacs (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
bzcl34nup
: Triaged
: 581612 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-29 13:03 EDT by Neal Becker
Modified: 2010-07-26 22:43 EDT (History)
2 users (show)

See Also:
Fixed In Version: xemacs-21.5.29-13.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-26 22:42:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2007-10-29 13:03:16 EDT
Description of problem:

I've been using xemacs-21.5.28-5.fc8.x86_64 built with
'--with-xft=all'.  I use it all day every day - seems good to me.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ville Skyttä 2007-10-29 13:26:59 EDT
As I mentioned to you in bug 214387 comment 3, I don't think XEmacs 21.5.27 with
Xft was production ready, and I don't think there were any significant
developments in 21.5.28 that would have changed the situation.  21.5.29 should
be out real soon now, will have a look how it has developed.
Comment 2 Bug Zapper 2008-04-04 10:20:06 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-13 23:46:58 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 19:07:53 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora Admin XMLRPC Client 2009-06-15 14:00:22 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Jerry James 2009-06-22 18:25:18 EDT
When Stephen Turnbull, who is involved in XFT development, thinks that it is ready for prime time, I'll be more open to adding this option to the Fedora build.  Until then, I'm going to leave XFT off in production.  I will leave this bug open for now, though, to remind myself to check into the current situation periodically.
Comment 7 Bug Zapper 2009-11-16 02:59:07 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jerry James 2010-04-12 15:34:41 EDT
*** Bug 581612 has been marked as a duplicate of this bug. ***
Comment 9 Jerry James 2010-04-12 15:38:18 EDT
An update for the interested: the problems noted by Stephen Turnbull in this message:

http://list-archive.xemacs.org/pipermail/xemacs-beta/2009-August/016875.html

still need to be resolved before we turn Xft support on for Fedora.  The help of some capable coders would be much appreciated.

I *am* open to making a new package, say xemacs-xft.  It would come with a README that says, in effect, "if you encounter font or display problems of any kind, don't bother filing a bug on bugzilla.redhat.com, because I'll just close it WONTFIX."

Is that acceptable?
Comment 10 Richard Z. 2010-04-12 15:59:26 EDT
- xemacs-xft version would be perfectly fine for me
- I was aware of the problems mentioned by Stephen Turnbull and thought they would only apply when XFT is actually enabled by the user, not merely compiled in but I may be wrong here.
Comment 11 Jerry James 2010-04-12 16:05:54 EDT
I built a local version with Xft support, but did not change my .Xdefaults file, and wound up with the infamous "display turds" problem.  That may mean that I somehow picked up Xft fonts without trying.  I don't know.

My plan is to wait for a few days to see if 21.5.30 is released, then create the xft subpackage and rebuild everything.  I'll address your database issue at that time, too, unless there is some reason why I need to hurry or if it becomes apparent that 21.5.30 will not be released soon.
Comment 12 Richard Z. 2010-04-12 18:38:05 EDT
strange, it seems that it now does use xft by default when compiled in. Something must have changed because when I compiled support for it last year it took me quite some searching in mailing lists to figure out how to actually enable it.

In my case it appears some appearance manager might have set the Xresources attributeFont globaly. In another case I did remotely ssh into a machine which did xrdb -merge... appears the settings are much easier to pick up by accident than what I expected.
Comment 13 Fedora Update System 2010-07-06 16:30:18 EDT
xemacs-21.5.29-13.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xemacs-21.5.29-13.fc13
Comment 14 Fedora Update System 2010-07-06 16:30:31 EDT
xemacs-21.5.29-13.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xemacs-21.5.29-13.fc12
Comment 15 Jerry James 2010-07-06 16:32:25 EDT
Here we go, for some definition of "a few days" later.  Sorry.  I really thought a 21.5.30 release was imminent.
Comment 16 Fedora Update System 2010-07-07 13:42:23 EDT
xemacs-21.5.29-13.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xemacs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xemacs-21.5.29-13.fc12
Comment 17 Fedora Update System 2010-07-07 13:50:45 EDT
xemacs-21.5.29-13.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xemacs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xemacs-21.5.29-13.fc13
Comment 18 Fedora Update System 2010-07-26 22:42:25 EDT
xemacs-21.5.29-13.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2010-07-26 22:43:22 EDT
xemacs-21.5.29-13.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.